PO4A-GETTEXTIZE(1p)

NAZWA
po4a-gettextize - konwertuje oryginalny plik (i jego tłumaczenie) do pliku PO

SKŁADNIA
po4a-gettextize -f fmt -m master.doc [-l XX.doc] -p XX.po

(XX.po jest plikiem wyjściowym, wszystkie pozostałe są plikami wejściowymi)

OPIS
Celem projektu po4a ("PO for anything") jest ułatwienie tłumaczeń (oraz, co ciekawsze, zarządzania tłumaczeniami) przy użyciu narzędzi gettext w tych obszarach, gdzie nie były używane, jak na przykład w obszarze dokumentacji.

Skrypt po4a-gettextize odpowiada za konwertowanie plików z dokumentacją do plików PO. Jeżeli rozpoczniesz nowe tłumaczenie, to po4a-gettextize wyodrębni z pliku dokumentacji komunikaty nadające się do przetłumaczenia i utworzy z nich plik POT.

Jeśli plik został już przetłumaczony, po4a-gettextize spróbuje wyciągnąć tłumaczenia, które zawiera, i zapisać je w odpowiednim miejscu pliku PO. Ostrzegamy, że ten proces nie jest zbyt inteligenty: n-ty komunikat w przetłumaczonym pliku jest traktowany jako tłumaczenie n-tego komunikatu w oryginale. Jeśli tak nie jest, to już jesteś martwy. Dlatego ważne jest, żeby oba pliki miały dokładnie taką samą strukturę.

Jednakże po4a-gettextize zdiagnozuje przyczynę Twojej śmierci, przez wykrycie braku synchronizacji między plikami i wypisanie miejsca, gdzie nastąpił. W takim wypadku powinieneś ręcznie zmienić te pliki, aby usunąć te różnice. Nawet jeśli nie został zgłoszony żaden błąd, powinno się dokładnie sprawdzić poprawność wygenerowanego pliku PO (tj. że każdy msgstr jest tłumaczeniem odpowiadającego mu msgid, a nie tego wcześniejszego lub późniejszego).

Nawet jeżeli skrypt wykona swoje zadanie bez żadnego widocznego problemu, to i tak oznaczy wszystkie wyodrębnione tłumaczenia jako niepewne ("fuzzy"), tak żeby tłumacz musiał je przejrzeć i sprawdzić.

Jeśli główny dokument zawiera jakieś znaki nie-ASCII, to nowo wygenerowany plik będzie kodowany w UTF-8, aby obsłużyć znaki niestandardowe w sposób niezależny od regionu kulturowego. W przeciwnym wypadku (główny dokument jest całkowicie w ASCII) wygenerowany plik PO będzie używał kodowania znaków przetłumaczonego dokumentu wejściowego.

OPCJE

-f, --format
    Format dokumentacji, którą chce się obsłużyć. Listę dostępnych formatów można wyświetlić, podając opcję --help-format.

-m, --master
    Plik zawierający główny dokument do przetłumaczenia. Można użyć tej opcji wielokrotnie, aby przekształcić wiele dokumentów do formatu gettext.

-M, --master-charset
    Kodowanie znaków pliku zawierającego dokument do przetłumaczenia.

-l, --localized
    Plik zawierający dokument przetłumaczony. Jeżeli podano wiele głównych dokumentów, można podać również wiele dokumentów przetłumaczonych, używając tej opcji więcej niż raz.

-L, --localized-charset
    Kodowanie znaków pliku zawierającego przetłumaczony dokument.

-p, --po
    Plik, do którego powinien zostać zapisany katalog wiadomości. Jeżeli nie podano, to katalog wiadomości zostanie wypisany na standardowe wyjście.

-o, --option
    Dodatkowe opcje przekazywane modułowi formatu. Każda opcja powinna być w formacie "nazwa=wartość". Więcej informacji o dostępnych opcjach i ich znaczeniu można znaleźć w dokumentacji każdego modułu.

-h, --help
    Pokazuje krótki komunikat pomocy.

--help-format
    Wyświetla listę formatów dokumentacji obsługiwanych przez po4a.

-V, --version
    Wyświetla wersję skryptu i kończy działanie.

-v, --verbose
    Zwiększa gadatliwość programu.

-d, --debug
    Wypisuje informacje przydatne do debugowania.

--msgid-bugs-address adres@e-mail
    Ustawia adres, pod który należy zgłaszać błędy w polach msgid. Domyślnie, utworzone pliki POT nie zawierają nagłówków Report-Msgid-Bugs-To.

--copyright-holder string
    Ustawia właściciela praw autorskich w nagłówku POT. Domyślną wartością jest "Free Software Foundation, Inc."

--package-name nazwa
    Ustawia nazwę pakietu w nagłówku POT. Domyślną wartością jest "PACKAGE".

--package-version wersja
    Ustawia wersję pakietu w nagłówku pliku POT. Domyślną wartością jest "VERSION".

ZOBACZ TAKŻE
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORZY
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TŁUMACZENIE
 Robert Luberda <robert@debian.org>

PRAWA AUTORSKIE I LICENCJA
Copyright 2002-2012 by SPI, inc.

Program jest wolnym oprogramowaniem; można go redystrybuować i/lub modyfikować zgodnie z warunkami licencji GPL (patrz plik COPYING).